mixed-port: 7890
allow-lan: false
mode: rule
log-level: info
ipv6: true

dns:
  enable: true
  ipv6: true
  enhanced-mode: fake-ip
  nameserver:
    - https://1.1.1.1/dns-query
    - https://8.8.8.8/dns-query

proxies:
  - name: "域名WS-api-ws"
    type: "vless"
    server: "api.agentren.xyz"
    port: 443
    uuid: "a3c7b382-eac0-46b5-b0b1-565792f332b9"
    udp: true
    network: "ws"
    tls: true
    servername: "api.agentren.xyz"
    client-fingerprint: "chrome"
    alpn:
      - "http/1.1"
    ws-opts:
      path: "/570f8cea6e22"
      headers:
        Host: "api.agentren.xyz"

proxy-groups:
  - name: "Proxy"
    type: "select"
    proxies:
      - "域名WS-api-ws"
      - "DIRECT"
  - name: "Auto"
    type: "url-test"
    url: "http://www.gstatic.com/generate_204"
    interval: 300
    tolerance: 50
    proxies:
      - "域名WS-api-ws"

rules:
  - IP-CIDR,23.95.170.171/32,DIRECT,no-resolve
  - IP-CIDR,192.168.0.0/16,DIRECT,no-resolve
  - IP-CIDR,10.0.0.0/8,DIRECT,no-resolve
  - IP-CIDR,172.16.0.0/12,DIRECT,no-resolve
  - GEOIP,CN,DIRECT,no-resolve
  - GEOSITE,CN,DIRECT
  - MATCH,Proxy
